# DECIDE MCSLA Service
## Build
Clone repo and build with maven.
```bash
$ git clone https://gitlab.fokus.fraunhofer.de/DECIDE/mcsla-service.git
$ cd mcsla-service
$ mvn clean package
```
You will find the built artifacts in the `target` directory.
## Install
No installation required. To run the service, do:
```bash
$ java -jar target/mcsla-service
```
## Configuration
The following environment variables are read:

 * DECIDE_REPOS_BASE_DIR

    The path to the base for cloning remote repositories

 * DECIDE_ACSMI_DISCOVERY_SERVICE_URI

    The address of the ACSmI discovery service

## Docker
```bash
$ docker build -t decide/mcsla-service .
$ docker run -it -p 8080:8080 decide/mcsla-service
```
## Interface
The root context shows the OpenAPI documentation.

## License

[GNU Affero General Public License Version 3](LICENSE.txt)