export const FETCH_DECIDE_APP_REQUEST = 'FETCH_DECIDE_APP_REQUEST';
export function fetchDecideAppRequest() {
    return { type: FETCH_DECIDE_APP_REQUEST };
}

export const FETCH_DECIDE_APP_RESPONSE = 'FETCH_DECIDE_APP_RESPONSE';
export function fetchDecideAppResponse(name, app) {
    return { type: FETCH_DECIDE_APP_RESPONSE, name, app };
}

export const FETCH_DECIDE_APP_FAILURE = 'FETCH_DECIDE_APP_FAILURE';
export function fetchDecideAppFailure(error) {
    return { type: FETCH_DECIDE_APP_FAILURE, error };
}

export const RESET_MCSLA_REQUEST = 'RESET_MCSLA_REQUEST';
export function resetMcslaRequest(name) {
    return { type: RESET_MCSLA_REQUEST, name};
}

export const RESET_MCSLA_RESPONSE = 'RESET_MCSLA_RESPONSE';
export function resetMcslaResponse(response) {
    return { type: RESET_MCSLA_RESPONSE, response };
}

export const RESET_MCSLA_FAILURE = 'RESET_MCSLA_FAILURE';
export function resetMcslaFailure(error) {
    return { type: RESET_MCSLA_FAILURE, error };
}

export const UPDATE_MCSLA_REQUEST = 'UPDATE_MCSLA_REQUEST';
export function updateMcslaRequest(name, mcsla) {
    return { type: UPDATE_MCSLA_REQUEST, name, mcsla};
}

export const UPDATE_MCSLA_RESPONSE = 'UPDATE_MCSLA_RESPONSE';
export function updateMcslaResponse(response) {
    return { type: UPDATE_MCSLA_RESPONSE, response };
}

export const UPDATE_MCSLA_FAILURE = 'UPDATE_MCSLA_FAILURE';
export function updateMcslaFailure(error) {
    return { type: UPDATE_MCSLA_FAILURE, error };
}

export const AGGREGATE_OBJECTIVES_REQUEST = 'AGGREGATE_OBJECTIVES_REQUEST';
export function aggregateObjectivesRequest(termName, predefined) {
    return { type: AGGREGATE_OBJECTIVES_REQUEST, termName, predefined};
}

export const AGGREGATE_OBJECTIVES_RESPONSE = 'AGGREGATE_OBJECTIVES_RESPONSE';
export function aggregateObjectivesResponse(termName, predefined, aggregated) {
    return { type: AGGREGATE_OBJECTIVES_RESPONSE, termName, predefined, aggregated };
}

export const AGGREGATE_OBJECTIVES_FAILURE = 'AGGREGATE_OBJECTIVES_FAILURE';
export function aggregateObjectivesFailure(error) {
    return { type: AGGREGATE_OBJECTIVES_FAILURE, error };
}
