export const USE_REPOSITORY = 'USE_REPOSITORY';
export function useRepository(uri, token, username, password) {
    return { type: USE_REPOSITORY, uri, token, username, password }
}

export const FETCH_SERVICE_URI_REQUEST = 'FETCH_SERVICE_URI_REQUEST';
export function fetchServiceUriRequest(from) {
    return  { type: FETCH_SERVICE_URI_REQUEST, from }
}

export const FETCH_SERVICE_URI_RESPONSE = 'FETCH_SERVICE_URI_RESPONSE';
export function fetchServiceUriResponse(uri) {
    return  { type: FETCH_SERVICE_URI_RESPONSE, uri }
}

export const FETCH_SERVICE_URI_FAILURE = 'FETCH_SERVICE_URI_FAILURE';
export function fetchServiceUriFailure(error) {
    return  { type: FETCH_SERVICE_URI_FAILURE, error }
}

export const RESET_REPOSITORY_REQUEST = 'RESET_REPOSITORY_REQUEST';
export function resetRepositoryRequest() {
    return { type: RESET_REPOSITORY_REQUEST }
}

export const RESET_REPOSITORY_RESPONSE = 'RESET_REPOSITORY_RESPONSE';
export function resetRepositoryResponse(response) {
    return { type: RESET_REPOSITORY_RESPONSE, response }
}

export const RESET_REPOSITORY_FAILURE = 'RESET_REPOSITORY_FAILURE';
export function resetRepositoryFailure(error) {
    return { type: RESET_REPOSITORY_FAILURE, error }
}

